Draft: Piano di lavoro proxy

From FreeCAD Documentation
This page is a translated version of the page Draft WorkingPlaneProxy and the translation is 100% complete.

Piano di lavoro proxy

Posizione nel menu
Utilità → Crea piano di lavoro Proxy
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Seleziona piano

Descrizione

Il comando Draft Piano di lavoro proxy crea un piano di lavoro proxy per salvare il Draft Piano di lavoro corrente. È possibile utilizzare piano di lavoro proxy per ripristinare rapidamente un piano di lavoro. La posizione della telecamera e la visibilità degli oggetti nella Vista 3D vengono salvate anche nel piano di lavoro proxy e possono, facoltativamente, essere ripristinate.

Tre Piani di lavoro proxy con diversi orientamenti e offset

Utilizzo

  1. Facoltativamente modificare il piano di lavoro.
  2. Facoltativamente modificare la Vista 3D.
  3. Facoltativamente, modificare lo stato di visibilità degli oggetti nel documento.
  4. Esistono diversi modi per richiamare il comando:
  5. Viene creato un Piano di lavoro proxy.
  6. Per allineare il piano di lavoro con un Piano di lavoro proxy, fare doppio clic sul Piano di lavoro proxy nella Vista ad albero o utilizzarlo con il comando Draft Seleziona piano.

Menù contestuale

Per un Draft Piano di lavoro proxy queste opzioni aggiuntive sono disponibili nel menu contestuale Vista ad albero:

  • Memorizza la posizione della telecamera: aggiorna la proprietà VistaView Data del Piano di lavoro proxy con le impostazioni correnti della Vista 3D della telecamera.
  • Memorizza stato oggetti: aggiorna la proprietà VistaVisibility Map del Piano di lavoro proxy con lo stato di visibilità corrente degli oggetti nel documento.

Note

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Draft WorkingPlaneProxy deriva da un oggetto App FeaturePython ed eredita tutte le sue proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Data

Base

  • DatiPlacement (Placement): specifica la posizione del Piano di lavoro proxy nella Vista 3D. Vedere Posizionamento.
  • Dati (Hidden)Shape (Shape): specifica la forma del Piano di lavoro proxy.

View

Base

  • VistaLine Color (Color): specifica il colore di tutti gli elementi del Piano di lavoro proxy.
  • VistaLine Width (Float): specifica lo spessore della linea degli assi e dei simboli freccia.
  • VistaRestore State (Bool): specifica se VistaVisibility Map viene ripristinato quando il piano di lavoro è allineato con il Piano di lavoro proxy.
  • VistaRestore View (Bool): specifica se VistaView Data viene ripristinato quando il piano di lavoro è allineato con il Piano di lavoro proxy
  • VistaTransparency (Percent): specifica la trasparenza della faccia del Piano di lavoro proxy.
  • VistaView Data (FloatList): specifica la posizione e le impostazioni della telecamera.
  • Vista (Hidden)Visibility Map (Map): specifica lo stato di visibilità degli oggetti.

Draft

  • VistaArrow Size (Length): specifica la dimensione dei simboli freccia visualizzati sulla punta dei tre assi.
  • VistaDisplay Size (Length): specifica la lunghezza e la larghezza del Piano di lavoro proxy.

Script

Vedere anche: Autogenerated API documentation e Script di base per FreeCAD.

Per creare un Draft WorkingPlaneProxy utilizzare il metodo make_workingplaneproxy del modulo Draft.

Se Draft è attivo, l'oggetto dell'applicazione FreeCAD ha una proprietà DraftWorkingPlane che memorizza il piano di lavoro corrente. L'Placement del metodo getPlacement dell'oggetto DraftWorkingPlane può essere utilizzato per creare un Piano di lavoro proxy allineato. L'Placement di un Piano di lavoro proxy a sua volta può essere utilizzato per riallineare il piano di lavoro.

# This code only works if the Draft Workbench is active!

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

workplane = App.DraftWorkingPlane
place = workplane.getPlacement()

proxy = Draft.make_workingplaneproxy(place)
proxy.ViewObject.DisplaySize = 3000
proxy.ViewObject.ArrowSize = 200

axis2 = App.Vector(1, 1, 1)
point2 = App.Vector(3000, 0, 0)
place2 = App.Placement(point2, App.Rotation(axis2, 90))

proxy2 = Draft.make_workingplaneproxy(place2)
proxy2.ViewObject.DisplaySize = 3000
proxy2.ViewObject.ArrowSize = 200

workplane.setFromPlacement(proxy2.Placement, rebase=True)
Gui.Snapper.setGrid()

doc.recompute()